\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm, mydashed/.style={dashed,dash phase=1pt}]
\clip(0.5,-2.5) rectangle (7.5,5.5);
\fill[line width=1.5pt,color=H2,fill=H2] (5,2.5) -- (1,-1) -- (3,-2) -- (7,-2) -- cycle;
\fill[line width=1.5pt,color=J2,fill=J2] (1,5) -- (5,2.5) -- (5,5) -- cycle;
\draw [line width=1.5pt] (5,5)-- (7,4);
\draw [line width=1.5pt] (7,4)-- (3,4);
\draw [line width=1.5pt] (3,4)-- (1,5);
\draw [line width=1.5pt] (1,5)-- (5,5);
\draw [line width=1.5pt] (5,5)-- (3,4);
\draw [line width=1.5pt] (3,4)-- (3,-2);
\draw [line width=1.5pt] (1,5)-- (1,-1);
\draw [line width=1.5pt] (1,-1)-- (3,-2);
\draw [line width=1.5pt] (3,-2)-- (7,-2);
\draw [line width=1.5pt] (7,-2)-- (7,4);
\draw [line width=1.5pt,mydashed] (5,5)-- (5,-1);
\draw [line width=1.5pt,mydashed] (5,-1)-- (1,-1);
\draw [line width=1.5pt,mydashed] (5,-1)-- (7,-2);
\draw [line width=1.5pt,mydashed] (7,-2)-- (5,2.5);
\draw [line width=1.5pt,mydashed] (5,2.5)-- (1,-1);
\draw [line width=1.5pt,mydashed] (5,2.5)-- (3,-2);
\draw [line width=1.5pt,mydashed] (3,4)-- (5,2.5);
\draw [line width=1.5pt,mydashed] (1,5)-- (5,2.5);
\draw[color=black] (3,4.25) node {$A$};
\draw[color=black] (7.25,4.25) node {$B$};
\draw[color=black] (5.25,5.25) node {$C$};
\draw[color=black] (0.75,5.25) node {$D$};
\draw[color=black] (2.75,-2.25) node {$E$};
\draw[color=black] (7.25,-2.25) node {$F$};
\draw[color=black] (5.25,-0.75) node {$G$};
\draw[color=black] (0.75,-1) node {$H$};
\draw[color=black] (5.25,2.75) node {$M$};
\end{tikzpicture}
\end{document}